## ros-melodic-jsk-teleop-joy 0.1.16

=== debian/changelog ===
ros-melodic-jsk-teleop-joy (0.1.16-1bionic) bionic; urgency=high

  * fix for python3 (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
    
      * fix with 2to3 -w -f import, and fix ValueError: Attempted relative import in non-package
      * use raw_input for python2 c.f. https://stackoverflow.com/questions/5868506/backwards-compatible-input-calls-in-python
      * run 2to3 -w -f has_key . for python3 check
    
  * add from __future__ import print_function (#773 <https://github.com/jsk-ros-pkg/jsk_control/issues/773>)
  * [README.md] delete pip instruction and recommend apt version only (#760 <https://github.com/jsk-ros-pkg/jsk_control/issues/760>)
  * fix for  python3 (#763 <https://github.com/jsk-ros-pkg/jsk_control/issues/763>)
    
      * 2to3 -w -fexcept .
      * 2to3 -w -fprint .
      * update readme
      * Update jsk_teleop_joy/README.md
    
  * Add ipega controller support (#716 <https://github.com/jsk-ros-pkg/jsk_control/issues/716>)
    
      * Fixed a key setting mistake. Add controller_type ipega as a possible input for joy_status
      * Add ipega controller support
    
  * Contributors: Shingo Kitagawa, Iki Yo, Kei Okada, Yoichiro Kawamura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 26 Oct 2022 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.15-1bionic) bionic; urgency=high

  * Merge pull request #693 <https://github.com/jsk-ros-pkg/jsk_control/issues/693> from k-okada/fix_apt_slow
    remove unused build_depends
  * remove unused build_depends
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.14-1bionic) bionic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.13-1bionic) bionic; urgency=high

  * [jsk_footstep_planner, jsk_teleop_joy] add stack mode to footstep_marker
  * [jsk_teleop_joy] Remove / from default frame_id in pose6d plugin
  * [jsk_teleop_joy] update view control in rviz using teleop_joy
  * Contributors: Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.12-1bionic) bionic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.11-1bionic) bionic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.10-1bionic) bionic; urgency=high

  * [jsk_teleop_joy] package.xml : add pygame run depend (#657 <https://github.com/jsk-ros-pkg/jsk_control/pull/657>)
  * Add toggle footstep marker mode joy interface (#607 <https://github.com/jsk-ros-pkg/jsk_control/pull/607>)
    
      * src/jsk_teleop_joy/plugin/joy_footstep_marker.py: Add joy interface to toggle planning mode
    
  * Add plugin to send cmd_vel from joystick contorller (#600 <https://github.com/jsk-ros-pkg/jsk_control/pull/600>)
    
      * [jsk_teleop_joy] src/jsk_teleop_joy/joy.py : Add plugin_package option to JoyManager to use joy plugins in other packages
      * [jsk_teleop_joy] src/jsk_teleop_joy/plugin/joy_cmd_vel.py : Add orthogonal_axis_mode, which does not allow diagonal movement
      * [jsk_teleop_joy] src/jsk_teleop_joy/plugin/joy_cmd_vel.py : Add plugin to send cmd_vel from joystick contorller
    
  * Add utility tools for jaxon footstep planner (#598 <https://github.com/jsk-ros-pkg/jsk_control/pull/598>)
    
      * [jsk_footstep_planner] launch/joy_footstep_marker.launch : Add joy_footstep_marker launch, which control footstep_marker from joystick controller
    
  * Project odom_init to detected floor (#579 <https://github.com/jsk-ros-pkg/jsk_control/pull/579>)
    
      * [jsk_teleop_joy] Check result of service call by exception handling
      * [jsk_teleop_joy] Display OverlayMenu before execute footstep
      * [jsk_teleop_joy] sync pre_pose in joy_footstep_marker only at first of the pose update sequence
      * [jsk_teleop_joy] Add marker_name arg to getCurrentMarkerPose and initialize marker by initial_footstep_marker in reset process
      * [jsk_teleop_joy] Add footstep marker synchonization to joy_footstep_marker
      * [jsk_teleop_joy] Add joycontroller interface plugin for footstep_marker
    
  * Contributors: Kanae Kochigami, Iory Kumagai

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.9-1bionic) bionic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 22 Mar 2016 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.8-1bionic) bionic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.7-1bionic) bionic; urgency=high

  * [jsk_teleop_joy/joy_relative_converter.py] add reset command
  * [jsk_teleop_joy/scripts/joy_relative_converter.py] fix bug to support buttons
  * Revert "[jsk_teleop_joy/scripts/joy_relative_converter.py] fix bug to support buttons"
    This reverts commit 1704b24d2b96aae962e4c87968f68078442417a2.
  * [jsk_teleop_joy/scripts/joy_relative_converter.py] fix bug to support buttons
  * put most process into class method
    Conflicts:
    jsk_teleop_joy/scripts/joy_relative_converter.py
  * instantiate before subscribe
    Conflicts:
    jsk_teleop_joy/scripts/joy_relative_converter.py
  * fix bug around page-change
  * implement page-change
  * add joy_relative_converter
  * [jsk_footstep_controller, jsk_teleop_joy] Use footstep-controller.l and lock/unlock furutaractive
    model during exeucuting footsteps
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Contributors: Ryohei Ueda, Satoshi Iwaishi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 31 Oct 2015 15:00:00 -0000

ros-melodic-jsk-teleop-joy (0.1.6-1bionic) bionic; urgency=high

  * [drc_task_common] Modify threshold of brake: 0.9 -> 0.5

