=== debian/control ===
Source: ros-melodic-jsk-teleop-joy
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/jsk_teleop_joy
Standards-Version: 3.9.2

Package: ros-melodic-jsk-teleop-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pygame, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-image-view2, ros-melodic-interactive-markers, ros-melodic-joy-mouse, ros-melodic-jsk-footstep-msgs, ros-melodic-jsk-interactive-marker, ros-melodic-jsk-rviz-plugins, ros-melodic-ps3joy, ros-melodic-tf, ros-melodic-view-controller-msgs, ros-melodic-visualization-msgs
Description: jsk_teleop_joy
